summaryrefslogtreecommitdiffstats
path: root/libraries/dbus-qt3
diff options
context:
space:
mode:
author Ole Andre Rodlie <olear@slackforge.net>2010-05-11 14:56:13 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:56:13 +0200
commitcd9deb3eb10ebf2a7c08b20e8516be072b524d7c (patch)
tree987d51624efb2d08de699af87453b35bc1d152b3 /libraries/dbus-qt3
parent7ff9a666978179d4ee781090b6bd1cd49399944a (diff)
downloadslackbuilds-cd9deb3eb10ebf2a7c08b20e8516be072b524d7c.tar.gz
slackbuilds-cd9deb3eb10ebf2a7c08b20e8516be072b524d7c.tar.xz
libraries/dbus-qt3: Initial import
Diffstat (limited to 'libraries/dbus-qt3')
-rw-r--r--libraries/dbus-qt3/README10
-rw-r--r--libraries/dbus-qt3/dbus-qt3.SlackBuild91
-rw-r--r--libraries/dbus-qt3/dbus-qt3.info8
-rw-r--r--libraries/dbus-qt3/slack-desc11
4 files changed, 120 insertions, 0 deletions
diff --git a/libraries/dbus-qt3/README b/libraries/dbus-qt3/README
new file mode 100644
index 0000000000..ea4ebe9331
--- /dev/null
+++ b/libraries/dbus-qt3/README
@@ -0,0 +1,10 @@
+qt3 bindings for the dbus IPC library.
+
+This is the old bindings package needed for KDE 3.5.4, but it works
+with dbus-1.x. If you want to build the newer bindings for qt3
+(the ones that were backported from the qt4 bindings), this script
+should support that with a few modifications - see the SlackBuild script
+for more information.
+
+This requires the dbus package (available at SlackBuilds.org), and you
+will need to start the messagebus service prior to building this.
diff --git a/libraries/dbus-qt3/dbus-qt3.SlackBuild b/libraries/dbus-qt3/dbus-qt3.SlackBuild
new file mode 100644
index 0000000000..752e5fcfa3
--- /dev/null
+++ b/libraries/dbus-qt3/dbus-qt3.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for dbus-qt3
+
+# Copyright 2007 Ole Andre Rodlie <olear@slackforge.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+# See the end of the script for changes needed to build newer
+# (backported from qt4) qt3 bindings
+
+PRGNAM=dbus-qt3
+VERSION=0.62
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -zxvf $CWD/dbus-qt3_$VERSION.git.20060814.orig.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-shared=yes \
+ --enable-static=no \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+
+# Changes needed for newer (backported from qt4) bindings
+# Since Slackware 11.0 has kde-3.5.4, this is untested by us, but should work
+# http://people.freedesktop.org/~krake/dbus-1-qt3/dbus-1-qt3-0.7.tar.gz
+# PRGNAM=dbus1-qt3
+# VERSION=0.7
+# tar -zxvf $CWD/dbus-1-qt3-$VERSION.tar.gz || exit 1
+# cd dbus-1-qt3-$VERSION || exit 1
+
diff --git a/libraries/dbus-qt3/dbus-qt3.info b/libraries/dbus-qt3/dbus-qt3.info
new file mode 100644
index 0000000000..9fe3896913
--- /dev/null
+++ b/libraries/dbus-qt3/dbus-qt3.info
@@ -0,0 +1,8 @@
+PRGNAM="dbus-qt3"
+VERSION="0.62"
+HOMEPAGE="http://www.freedesktop.org/wiki/Software_2fDBusBindings"
+DOWNLOAD="http://www.archlinux.org/~jgc/dbus/dbus-qt3_0.62.git.20060814.orig.tar.gz"
+MD5SUM="bdc61add46f64238fdc68a15e5f7269c"
+MAINTAINER="Ole Andre Rodlie"
+EMAIL="olear@slackforge.net"
+APPROVED="rworkman,BP{k}"
diff --git a/libraries/dbus-qt3/slack-desc b/libraries/dbus-qt3/slack-desc
new file mode 100644
index 0000000000..7cf302854f
--- /dev/null
+++ b/libraries/dbus-qt3/slack-desc
@@ -0,0 +1,11 @@
+dbus-qt3: qt3 bindings for dbus
+dbus-qt3:
+dbus-qt3: This package includes the qt3 bindings for the
+dbus-qt3: dbus IPC library.
+dbus-qt3:
+dbus-qt3:
+dbus-qt3:
+dbus-qt3:
+dbus-qt3:
+dbus-qt3:
+dbus-qt3: